OpenVDB 13.0.0

Loading...
Searching...
No Matches
String.h File Reference

Provides the class definition for the equivalent IR representation and logic for strings in AX. More...

`#include <openvdb/version.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/util/Assert.h>`
`#include <cstring>`
`#include <cstdlib>`

Go to the source code of this file.

## Classes
struct | String
| An extremely basic but native representation of a string class with SSO support. This exists to provide an interface between the AX C++ API and backend IR string logic. It is not designed to fulfill any other use and should very rarely be used directly. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::ax
namespace | openvdb::v13_0::ax::codegen

## Functions
template<>
ax::codegen::String | zeroVal< ax::codegen::String > ()

## Detailed Description

Provides the class definition for the equivalent IR representation and logic for strings in AX.

Authors
  Nick Avramoussis